Experimental results related to the paper Exploring the Impact of Wavelet-based
 Denoising in the Classification of Remote Sensing Hyperspectral Images by Pablo
 Quesada-Barriuso, Dora B. Heras and Francisco Argüello, published in the SPIE 
 Remote Sensing Conference (2016). 
==================================================
        
 * Training / Test samples used in the experiments
 
	· paviau_train_samples_as_review2013
		- Samples = [ 548 540 392 524 265 532 375 514 231 ];
	· paviac_train_samples_as_review2013
		- Samples = [ 824 820 824 808 820 816 808 1260 476 ];
	· indianp_train_samples_as_review2013
		- Samples = [ 15 50 50 50 50 50 15 50 15 50 50 50 50 50 50 50 ];
	· salinas_train_samples (2% of the available samples per class)
		- Samples = [ 40 74 39 27 53 79 71 225 124 65 21 38 18 21 145 36 ];
    
 * MATLAB Format: 
		- train(idx, class, k) has the indexes of the k-th training set 
		- test(idx, k) has the indexes of the k-th test set
        
	- Each pair train(:,:,k), test(:,k) is a disjoint set
	
	- If 'instance_matrix' is the hyperspectral image with one pixel vector per 
	row, to get the pixel vectors for training
		- train_data = instance_matrix(tr_i(:,1,k), :);
    and to get the pixel vectors for testing
		- test_data = instance_matrix(test(:,k), :);

 * If you have the hyperspectral dataset as a cube, use the 'row_major' function
 shipped with the WTSS-EMP scheme (MATLAB code) to transform the dataset to 
 an instance matrix with one pixel vecor per row.
